> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# レポートの取得

> 指定されたクエリパラメータに一致する reports エンティティのレコードを返します。パラメータが指定されていない場合は、すべてのレコードが返されます。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json GET /reports
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /reports:
    get:
      tags:
        - reports
      summary: レポートの取得
      description: >-
        指定されたクエリパラメータに一致する reports
        エンティティのレコードを返します。パラメータが指定されていない場合は、すべてのレコードが返されます。
      operationId: getAllreports
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: 結果に含めるプロパティのカンマ区切りリストです。このフィールドを空のままにすると、すべてのプロパティが返されます。
        - name: $orderby
          in: query
          schema:
            type: string
          description: このプロパティで結果を昇順または降順に並べ替えます。昇順の例：'Name ASC' 降順の例：'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: 返す結果の件数です。
        - name: $skip
          in: query
          schema:
            type: integer
          description: 結果を返す際にスキップする結果のオフセットです。
        - name: $count
          in: query
          schema:
            type: boolean
          description: 設定すると、実際の結果ではなく結果の件数が返されます。
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            特定のプロパティ値で結果をフィルタリングするために使用します。たとえば、名前が 'John'
            のレコードを取得するには、次のフィルタを使用できます：$filter=Name eq 'John'
      responses:
        '200':
          description: reports レスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/reports'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    reports:
      type: object
      properties:
        Name:
          description: レポートの名前です。
          type: string
        Type:
          description: レポートのタイプです。
          type: string
        CreatedBy:
          description: このレポートを作成したユーザーです。
          type: string
        CreatedTime:
          description: レポートが作成された日時です。
          type: string
          format: date-time
        ModifiedTime:
          description: レポートの最終更新日時です。
          type: string
          format: date-time
        TimePeriod:
          description: レポートがデータを取得する対象期間です。日数で指定します。
          type: string
        Columns:
          description: レポート内の列です。
          type: string
        GroupRows:
          description: レポート内でグループ化する行です。
          type: string
        Filters:
          description: >-
            レポートに使用するフィルタです。例：ConnectorType=SFTP,FTP;ConnectorId=SFTP1,SFTP2,FTP1,FTP2
          type: string
        Summary:
          description: 生成されるレポートに含めるサマリー情報です。
          type: string
        Schedule:
          description: レポートを実行するタイミングを制御するcronスケジュールです。
          type: string
        StartDate:
          description: 開始日。
          type: string
          format: date-time
        EndDate:
          description: 終了日。
          type: string
          format: date-time
        Format:
          description: レポートのフォーマット。
          type: string
        EmailReport:
          description: レポートをメールで送信するかどうか。
          type: boolean
        EmailSubject:
          description: メールの件名。
          type: string
        EmailRecipients:
          description: メールの受信者。
          type: string
        TimePeriodStart:
          description: カスタムTimePeriodの開始時刻。
          type: string
          format: date-time
        TimePeriodEnd:
          description: カスタムTimePeriodの終了時刻。
          type: string
          format: date-time
        NextRunTime:
          description: 次回のスケジュール時刻。
          type: string
          format: date-time
        IsRunning:
          description: レポートが実行中かどうか。
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````